"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.produceSchema = void 0;
const graphql_1 = require("graphql");
function produceSchema(source) {
    try {
        if (!source.body.trim().length) {
            throw new Error(`Content is empty`);
        }
        return (0, graphql_1.buildSchema)(source, {
            assumeValid: true,
            assumeValidSDL: true,
        });
    }
    catch (e) {
        throw new Error(`Failed to parse "${source.name}": ${e.message}`);
    }
}
exports.produceSchema = produceSchema;
